
Katello - Bug #37377

python2 / python3 interop issue

04/22/2024 07:56 PM - Bernhard Suttner

Status: Ready For Testing   

Priority: Normal   

Assignee: Bernhard Suttner   

Category: katello-tracer   

Target version: Katello 4.13.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/Katello/katello-host-to

ols/pull/154

  

Description

In newer python3 version is no module 'imp' - importlib need to be used. But this module does not exist in python2 and older python3

Environments.

History

#1 - 04/23/2024 07:10 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Bernhard Suttner

- Pull request https://github.com/Katello/katello-host-tools/pull/154 added

#2 - 04/24/2024 05:45 PM - Ian Ballou

- Target version set to Katello 4.13.0

- Triaged changed from No to Yes
